> For the complete documentation index, see [llms.txt](https://docs.intunemacadmins.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intunemacadmins.com/community/community-tools.md).

# Community Tools and Scripts

A list of tools and scripts that the community has shared.

Here are a couple of tools that we found worth checking out. Please feel free to add your own tool or script repository to this list by editing it on GitHub.

### Privileges (LAPS)

![Privileges](https://raw.githubusercontent.com/SAP/macOS-enterprise-privileges/main/readme_images/privileges_banner.gif)

Privileges for macOS is designed to allow users to work as a standard user for day-to-day use, by providing a quick and easy way to get administrator rights when needed. When you do need admin rights, you can get them by clicking on the Privileges icon in your Dock.

[Download](https://github.com/SAP/macOS-enterprise-privileges)

### Intune macOS Shell Script Samples

This repository is for macOS Intune sample scripts and custom configuration profiles. There are many cases where it is necessary to use a custom profile or shell script to accomplish a task.

[Shell Script Samples on GitHub](https://github.com/microsoft/shell-intune-samples/tree/master/macOS)

### MISA (macOS Intune Support Assistant)

MISA (macOS Intune Support Assistant) is a comprehensive tool designed to streamline and enhance your macOS Intune management experience. It provides a variety of features to assist with device management, software updates, user accounts, and much more, all in an intuitive and user-friendly interface.

[Download](https://github.com/pathaksomesh06/MISA)

### Support Companion

Support Companion is a macOS helper application, designed to empower end-users by providing them with quick and easy access to crucial information and actions. This application is built to streamline a variety of tasks, eliminating the need for extensive searching and complex navigation. Support Companion is equipped with a range of features that enhance user productivity.

[Download](https://github.com/macadmins/SupportCompanion)

### Support App

The Support app is a macOS menu bar app built for users to see basic diagnostic information at a glance and proactively notify them to easily fix small issues. It offers shortcuts to easily access support channels, company resources such as websites, apps or file servers. Natively built with SwiftUI for a modern and native macOS look and feel and customizable to style with your corporate identity.

[Download](https://github.com/root3nl/SupportApp)

### Intune Uploader

Set of AutoPkg processors for uploading and updating apps in Intune.

[Download](https://github.com/almenscorner/intune-uploader)

Recipes for the Intune Uploader can be found here: [almenscorner-recipes](https://github.com/autopkg/almenscorner-recipes)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.intunemacadmins.com/community/community-tools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
